Last Comment Bug 1232436 - modernize Balrog's toolchain
: modernize Balrog's toolchain
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Balrog: Backend (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: ---
Assigned To: Ben Hearsum (:bhearsum)
: Ben Hearsum (:bhearsum)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 13:08 PST by Ben Hearsum (:bhearsum)
Modified: 2016-09-12 06:55 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
use tox+taskcluster-github+setup.py for Balrog's main repo (41 bytes, text/x-github-pull-request)
2015-12-14 13:23 PST, Ben Hearsum (:bhearsum)
nthomas: review+
rail: review+
nthomas: review+
rail: review+
bhearsum: checked‑in+
Details | Review | Splinter Review
fix MANIFEST.in to properly include auslib/migrate (41 bytes, text/x-github-pull-request)
2015-12-16 06:37 PST, Ben Hearsum (:bhearsum)
rail: review+
bhearsum: checked‑in+
Details | Review | Splinter Review
upgrade the packages in the vendor library (41 bytes, text/x-github-pull-request)
2015-12-16 07:10 PST, Ben Hearsum (:bhearsum)
nthomas: review+
bhearsum: checked‑in+
Details | Review | Splinter Review
switch balrog-ui to taskcluster-github (44 bytes, text/x-github-pull-request)
2015-12-16 13:12 PST, Ben Hearsum (:bhearsum)
rail: review+
bhearsum: checked‑in+
Details | Review | Splinter Review

Description User image Ben Hearsum (:bhearsum) 2015-12-14 13:08:35 PST
There's a number of things that are outdated, including:
* Crappy Makefile instead of tox
* Requirements files instead of setup.py
* Outdated versions of various libraries
* VirtualBox instead of Docker

The first two are no brainers to change, so I'll definitely do that. I want to take a stab at updating the libs, but it's not as important, so if it's a rathole it might not be worth it.

Switching to Docker might not even be desirable, because it may be a worse experience for non-Linux based devs, so that one needs some more thought.
Comment 1 User image Ben Hearsum (:bhearsum) 2015-12-14 13:23:49 PST
Created attachment 8698168 [details] [review]
use tox+taskcluster-github+setup.py for Balrog's main repo

I was going to flag Rail for this originally, because he knows tox and such things really well, but I didn't want to land this without your ack.
Comment 2 User image Nick Thomas [:nthomas] 2015-12-14 20:21:57 PST
Comment on attachment 8698168 [details] [review]
use tox+taskcluster-github+setup.py for Balrog's main repo

r+. There's a comment or two over on Github which are nits.
Comment 3 User image Ben Hearsum (:bhearsum) 2015-12-15 05:56:24 PST
Comment on attachment 8698168 [details] [review]
use tox+taskcluster-github+setup.py for Balrog's main repo

Rail - can you have a look at this too?
Comment 4 User image Ben Hearsum (:bhearsum) 2015-12-15 10:50:04 PST
Comment on attachment 8698168 [details] [review]
use tox+taskcluster-github+setup.py for Balrog's main repo

Could one of you have a look at the new revs I added? Turns out I forgot to enable the rules tests until now =\.
Comment 5 User image [github robot] 2015-12-16 05:49:20 PST
Commits pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/89df3945753d6923b819018b7cf81092e081b47e
bug 1232436: modernize Balrog's toolchain.

https://github.com/mozilla/balrog/commit/078e23b660d621ae841af172b9f706231f1d5ecf
Merge pull request #33 from bhearsum/modernize-2

bug 1232436: modernize Balrog's toolchain with tox, taskcluster, and a setup.py. r=rail,nthomas
Comment 6 User image Ben Hearsum (:bhearsum) 2015-12-16 06:37:55 PST
Created attachment 8698961 [details] [review]
fix MANIFEST.in to properly include auslib/migrate

Further explanation in the PR.
Comment 7 User image [github robot] 2015-12-16 06:52:33 PST
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/6b4922adee3abd4df9a961df40ae3eb9b34d6173
Merge pull request #35 from bhearsum/fix-manifest-for-migrate

bug 1232436: Fix MANIFEST.in to include all of auslib/migrate. r=rail
Comment 8 User image Ben Hearsum (:bhearsum) 2015-12-16 07:10:34 PST
Created attachment 8698975 [details] [review]
upgrade the packages in the vendor library
Comment 9 User image Ben Hearsum (:bhearsum) 2015-12-16 13:12:37 PST
Created attachment 8699185 [details] [review]
switch balrog-ui to taskcluster-github

Basically the same, but for balrog-ui. More comments in the PR.
Comment 10 User image Rail Aliiev [:rail] ⌚️ET 2015-12-16 13:36:23 PST
Comment on attachment 8699185 [details] [review]
switch balrog-ui to taskcluster-github

lgtm
Comment 11 User image Nick Thomas [:nthomas] 2015-12-16 14:42:55 PST
Comment on attachment 8698975 [details] [review]
upgrade the packages in the vendor library

r+ if you add test_comparison.py back in.
Comment 12 User image [github robot] 2015-12-17 05:58:32 PST
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/cadf2c0bdf4aefda4d7fa0da9ee6fb62ca5b9f6e
Merge pull request #36 from bhearsum/upgrade-all-the-packages

bug 1232436: modernize Balrog's toolchain - upgrade most of the vendor packages
Comment 13 User image Ben Hearsum (:bhearsum) 2015-12-18 08:14:41 PST
Everything outline in comment #0 is done, except switching to Docker. It looks like we may be going that way, but it's probably a fairly sizable task on its own, so I'll move that out to another bug if we settle on it.
Comment 14 User image [github robot] 2016-09-12 06:55:04 PDT
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/bc1f19ef42d1e2ce7f0888bee0b6f10b2c22f2f2
[balrog-ui] Merge pull request #12 from bhearsum/taskcluster

bug 1232436: Switch to Taskcluster + new Docker image. r=rail

Note You need to log in before you can comment on or make changes to this bug.